Robot Simulator of the Robotics Group for Self-Organization of Control: Trackable Class Reference

# Trackable Class Reference

Abstract class (interface) for trackable objects (used for robots). More...

`#include <trackable.h>`

Inherited by AbstractRobot, and TrackablePrimitive.

List of all members.

## Public Member Functions
| Trackable ()
| Constructor.
virtual | ~Trackable ()
virtual std::string | getTrackableName () const =0
| returns name of trackable
virtual Position | getPosition () const =0
| returns position of the object
virtual Position | getSpeed () const =0
| returns linear speed vector of the object
virtual Position | getAngularSpeed () const =0
| returns angular velocity vector of the object
virtual matrix::Matrix | getOrientation () const =0
| returns the orientation of the object

## Detailed Description

Abstract class (interface) for trackable objects (used for robots).

## Constructor & Destructor Documentation

Trackable | ( |  | ) | `[inline]`

Constructor.

virtual ~Trackable | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual Position getAngularSpeed | ( |  | ) | const`[pure virtual]`

returns angular velocity vector of the object

Returns:
  vector (wx,wy,wz)

Implemented in MyRobot, TrackablePrimitive, and OdeRobot.

virtual matrix::Matrix getOrientation | ( |  | ) | const`[pure virtual]`

returns the orientation of the object

Returns:
  3x3 rotation matrix

Implemented in MyRobot, TrackablePrimitive, and OdeRobot.

virtual Position getPosition | ( |  | ) | const`[pure virtual]`

returns position of the object

Returns:
  vector of position (x,y,z)

Implemented in MyRobot, TrackablePrimitive, and OdeRobot.

virtual Position getSpeed | ( |  | ) | const`[pure virtual]`

returns linear speed vector of the object

Returns:
  vector (vx,vy,vz)

Implemented in MyRobot, TrackablePrimitive, and OdeRobot.

virtual std::string getTrackableName | ( |  | ) | const`[pure virtual]`

returns name of trackable

Implemented in AbstractRobot, and TrackablePrimitive.

The documentation for this class was generated from the following file:

- trackable.h